--- title: "Send a message to the playground session" description: "Send a user message or trigger workflow execution with inputs.\nThis starts or continues the conversation in the playground.\n\nThe message is created with status \"pending\" and processing begins immediately\n(synchronously) or is queued (asynchronously) based on the session's execution mode.\nThe response returns immediately with the message entity, allowing clients to\npoll the message status endpoint to track processing progress.\n\nMessages are processed in sequence order within a session to ensure proper\nconversation flow. If a previous message is not yet complete, the request\nwill be rejected with a conflict error.\n" source: https://flowdrop.io/docs/api/playground/sendPlaygroundMessage site: FlowDrop documentation --- # Send a message to the playground session `POST /playground/sessions/{sessionId}/messages` Send a user message or trigger workflow execution with inputs. This starts or continues the conversation in the playground. The message is created with status "pending" and processing begins immediately (synchronously) or is queued (asynchronously) based on the session's execution mode. The response returns immediately with the message entity, allowing clients to poll the message status endpoint to track processing progress. Messages are processed in sequence order within a session to ensure proper conversation flow. If a previous message is not yet complete, the request will be rejected with a conflict error. ## Parameters - `sessionId` · in path · string · required — Playground session UUID ## Request body - `application/json` — PlaygroundMessageRequest ## Responses - `200` — Message sent and workflow execution started (`application/json`: PlaygroundMessageResponse) - `400` — Bad request - invalid parameters or request body (`application/json`: ErrorResponse) - `404` — Resource not found (`application/json`: ErrorResponse) - `409` — Session is already executing (`application/json`: ErrorResponse) - `500` — Internal server error (`application/json`: ErrorResponse) *Tags: Playground*